Subject: bug#1023 closed by Glenn Morris <[email-masked]> (Re: bug#1023: Can't resize on Mac OS)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#1023: Can't resize on Mac OS

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1023: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1023
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Oct  2 14:14:49 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: Re: bug#1023: Can't resize on Mac OS
Date: Thu, 02 Oct 2008 17:12:29 -0400

David Reitter wrote:

> To us others: that doesn't mean that the bug is fixed, given that  
> we've got an estimated 12,000 regular users (and many more occasional  
> users) who are using one of the distributions released from CVS.    
> Let's be professional and support the stable 22 branch until a good  
> while after 23.1 has been released! 

Please propose such policy shifts on emacs-devel rather than in our
bug-tracker.

>From [email-masked] Wed Sep 24 13:10:34 2008
Date: Wed, 24 Sep 2008 13:10:25 -0700
From: "Ken Harris" <[email-masked]>
To: [email-masked]
Subject: Can't resize on Mac OS

Resizing of the Emacs window (frame?  the windowing-system-level
thing) doesn't work right:

(a) If I click the Zoom (+) button in the window's titlebar, the
window becomes unresizeable: dragging the corner no longer has an
effect, until I click the Zoom button again.

(b) When I switch from a large external display to my laptop's
display, I have less screen area, but unlike all my other apps, the
Emacs window doesn't shrink itself to fit on my display.

(c) New windows inherit this broken behavior (i.e., can't be resized),
so I can't just C-x 5 2 to fix it.  The new frame is 80x38 chars, and
can't be resized.  It can only be Zoomed, which makes it 7 lines
taller, but still can't be resized.

The upshot of these is that if I switch displays when Emacs is
running, its session gets kind of screwed.  I can either have a window
that's way too tall (can't see the modeline/minibuffer), or (if I Zoom
the window) I have a window that's too narrow (and can't be resized to
be wider).

I'm using a MacBook (Intel Core 2 Duo) with Mac OS X 10.5.4, though
I've been seeing this behavior on this machine for a while (likely
even on 10.4 ... can't remember for sure).

Thanks!

In GNU Emacs 22.2.1 (i386-apple-darwin8.11.1, Carbon Version 1.6.0)
 of 2008-03-26 on seijiz.local
Windowing system distributor `Apple Inc.', version 10.5.4
configured using `configure
'--prefix=/Applications/Emacs.app/Contents/Resources' '--with-carbon'
'--without-x' '--libexecdir=/Volumes/Emacs/Emacs.app/Contents/MacOS/libexec'
'CFLAGS=-Os -arch i386 -arch ppc -isysroot
/Developer/SDKs/MacOSX10.4u.sdk -DUSE_ATSUI -DUSE_MAC_TSM''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: japanese-iso-8bit
  default-enable-multibyte-characters: t

Major mode: Ruby

Minor modes in effect:
  shell-dirtrack-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-readonly-mode: t
  hl-line-mode: t
  ruby-electric-mode: t
  outline-minor-mode: t
  encoded-kbd-mode: t
  flymake-mode: t
  show-paren-mode: t
  mac-print-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-s f i n d ( C-a C-n
<right> <help-echo> M-x r e p o r t - e m a c s <tab>
<return>

Recent messages:
Quit
Mark saved where search started
Wrote /Users/ken/Documents/ClayValet-gonzales/workflow/image_shrinker.rb
[2 times]
Mark set [2 times]
Wrote /Users/ken/Documents/ClayValet-gonzales/workflow/image_shrinker.rb
[11 times]
Mark set
Wrote /Users/ken/Documents/ClayValet-gonzales/workflow/image_shrinker.rb
(No changes need to be saved)
Mark saved where search started
Loading emacsbug...done